pub mod command;
pub mod git_client;
pub mod gitea_client;
pub mod ui;

use command::Command;

#[tokio::main]
async fn main() -> anyhow::Result<()> {
    dotenv::dotenv().ok();
    tracing_subscriber::fmt::init();

    let current_dir = std::env::current_dir().ok();
    let current_dir = current_dir.as_ref().map(|p| p.as_path());

    Command::new().execute(current_dir)?;

    Ok(())
}
